## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# 🚨 WARNING
# DO NOT UPDATE PAST 0.12.3 WITHOUT TESTING
# Fedora 35's versions of protobuf and grpc will not work with newer versions and
# updating this package will break about 10-15 other Python Google Cloud SDK packages.
# 🚨 WARNING

%global         srcname     grpc-google-iam-v1

Name:           python-%{srcname}
Version:        0.12.3
Release:        %autorelease
Summary:        GRPC library for the google-iam-v1 service

License:        ASL 2.0
URL:            https://pypi.org/project/%{srcname}/
Source0:        %{pypi_source %{srcname}}

# Epoch number added in F35 because the upgrade to 0.12.4 caused breakage for other
# Google Cloud Python SDK packages.
Epoch:          1

BuildArch:      noarch

BuildRequires:  python3-devel


%global _description %{expand:
The IDL-derived library for the google-iam (v1) service in Google Cloud.}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}
%description -n python3-%{srcname} %{_description}


%prep
%autosetup -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files google


%check
%pyproject_check_import


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.rst
%{python3_sitelib}/grpc_google_iam_v1-%{version}-py%{python3_version}-nspkg.pth


%changelog
* Thu Jun 02 2022 Major Hayden <major@redhat.com> 1:0.12.3-3
- Bump release number

* Thu Jun 02 2022 Major Hayden <major@redhat.com> 1:0.12.3-2
- Bump release number after epoch

* Thu Jun 02 2022 Major Hayden <major@redhat.com> 1:0.12.3-1
- ⬇ Downgrade to 0.12.3

* Thu Jun 02 2022 Benjamin A. Beasley <code@musicinmybrain.net> 0.12.4-5
- Don’t use deprecated zero-argument pypi_source

* Thu Jun 02 2022 Benjamin A. Beasley <code@musicinmybrain.net> 0.12.4-4
- Drop “-r” from pyproject_buildrequires

* Thu Jun 02 2022 Benjamin A. Beasley <code@musicinmybrain.net> 0.12.4-3
- Stop explicitly listing the LICENSE file

* Thu Jun 02 2022 Benjamin A. Beasley <code@musicinmybrain.net> 0.12.4-2
- Add import-only “smoke test”

* Thu Apr 14 2022 Major Hayden <major@mhtx.net> 0.12.4-1
- Update to 0.12.4

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.12.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Sep 09 2021 Major Hayden <major@mhtx.net> 0.12.3-2
- Move to rpmautospec

* Tue Aug 24 2021 Major Hayden <major@mhtx.net> 0.12.3-1
- Initial import (#1996870)
